<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- creator-valgrind.qdoc -->
  <title>Running Valgrind Tools on External Applications | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Running Valgrind Tools on External Applications</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-cache-profiler.html" />
  <link rel="next" href="creator-clang-tools.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-cache-profiler.html">Profiling Function Execution</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-clang-tools.html">Using Clang Tools</a>
</p><p/>
<div class="sidebar"><div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Running Valgrind Tools on External Applications</h1>
<span class="subtitle"></span>
<!-- $$$creator-running-valgrind-remotely.html-description -->
<div class="descr"> <a name="details"></a>
<p>Qt Creator integrates Valgrind code analysis tools for detecting memory leaks and profiling function execution.</p>
<p>To run the Valgrind tools to analyze external applications for which you do not have a Qt Creator project:</p>
<ol class="1" type="1"><li>Select <b>Analyze</b> &gt; <b>Valgrind Memory Analyzer (External Application)</b> or <b>Valgrind Function Profiler (External Application)</b>.<p class="centerAlign"><img src="images/qtcreator-valgrind-remote-settings.png" alt="&quot;Start Remote Analysis dialog&quot;" /></p></li>
<li>Specify the application to run and analyze, and the <a href="creator-glossary.html#glossary-buildandrun-kit">kit</a> to use.</li>
</ol>
</div>
<!-- @@@creator-running-valgrind-remotely.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="creator-cache-profiler.html">Profiling Function Execution</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-clang-tools.html">Using Clang Tools</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
